- [x] Seperate out BD and FP resize into seperate functions
- [ ] Add ability to disable both FP and BD Resize based on bookmarks (allow for each individual test)
- [ ] Figure out a way to test?
- [ ] Add ability to add meta bookmarks that are kind of batch things that allow you to disable multiple fixes.
- [ ] Allow for modifying class, library, and project files (seperate compiled code is easy and remove lvclass from class name).
- [ ] Add support for ctls - maybe arrange vertically for clusters...
- [x] consider name BLUE - Black for LabVIEW
- [ ] constant labels
- [ ] scroll events and cases to frame 0, if boolean - scroll to true - maybe? or allow user to set whichever one to 0
- [ ] enforce caseing (camel, undersscore?) on inputs and outputs. Hard to do for classes/libraries, etc.
- [ ] figure out control labels on BD - transparency, location.
- [ ] figure out control labels on FP - maybe turn of captions and jsut use labels (ignore for FPs that are visible).
- [x] Add code from Nattify
- [x] Allow for passing directory from CLI to blue.vi
- [x] Allow for passing multiple files from CLI to blue.vi
- [x] add -v,-vv,-vvv flags for verbosity level. none - quite. -v display each vi -vv each vi and each step -vvv each vi, each step and times, and version info, and bookmarks/ignores
- [ ] Account for various LV Versions when launching G-CLI from Python monitor.
- [ ] for events/case structure - sort frames before setting to 0
- [ ] consider adding code to library/class and project that if it references files outside its directory to move them into the directory... - add flag for this behavior.
- [x] Add code to support calling from G-CLI and passing multiple files and/or directories.
- [ ] Add g-cli list command to list all available steps.
- [ ] Add description field/vi to each step. can pull out in the list command and use for generating help docs at some point.
- [ ] Add new interface - Requires Diagram - and filter out for things that require a Diagram to work. Add log message skip no diagram or something similar.
- [ ] Hide unwired iteration terminals in loops
- [ ] Hide unwired event terminals inside event frames
- [ ] allow for .blueignore similar to .gitignore in each folder
- [ ] add auto-detect for GUIs
- [ ] add default ignore sets - at least for GUI
- [ ] add ability to add user ignore sets
- [ ] add CLI command to display all ignore sets and what they ignore
- [ ] consider Python Gui for the monitor
